Subject: Re: [yaco-liaison-tool] Test driving the new Liaison tool

From: Leslie Daigle <[email-masked]>
Date: Fri, 17 Sep 2010 18:29:34 -0400

Hi,

Sorry -- late to the party, and trying to keep my comments in the thread 
of discussion so far (copied from mailing list archive).

I agree with the comments from Gonzalo & Patrik, and I think Emilio 
does, too -- but it's not reflected in the current beta version, right?

Having participated in the discussions that lead to the requirements for 
and development of a tool here, let me observe  2 things I particularly 
appreciate here:

+ The ability to maintain lists of appropriate contacts so that these 
fields are automagically populated on entering the data.

+ The ability to just post an incoming liaison statement -- if it has 
already come in from some other source, or if it is being re-directed, 
that's very helpful.

So only 3 small thoughts, really:

1/ When adding a liaison statement (what I did to play around with it) 
-- there did not seem to be any way to "cancel" the activity?  Or, I 
went back to "liaison" main page, and my edit temporary went away, 
silently.  Should there perhaps be an explicit cancel, and/or 
confirmation of willingness to throw out a partially edited liaison 
statement?

2/ I run with NoScripts turned on.  It was not immediately obvious that 
was limiting the functionality of the interface (it did not 
automatically pre-populate the fields until I permitted the development 
site).  Would it be useful to check for (java)script preventers and put 
up some visible warning?

3/ To liaison substance, and as a follow on to the "reference" proposal 
in Patrik's suggestions:  would it be possible to have something to 
indicate that this is "the same as" some liaison statement previously 
submitted by another means?  Or is that going to be handled by editing 
the liaison statement online?  (And, if that, does everyone get a new 
copy each time?).

As I said -- these are pretty small things -- overall, it looks great.

Thanks,
Leslie.

> 
>     * From: Gonzalo Camarillo <Gonzalo.Camarillo at ericsson.com>
>     * To: Henrik Levkowetz <henrik at levkowetz.com>
>     * Cc: "yaco-liaison-tool at ietf.org" <yaco-liaison-tool at ietf.org>
>     * Date: Mon, 13 Sep 2010 14:24:58 +0300
>     * In-reply-to: <4C80BDE2.8010503 at levkowetz.com>
>     * References: <4C80BDE2.8010503 at levkowetz.com>
>     * List-id: Discussion of the Yaco / Liaison Statement Management Tool Project details <yaco-liaison-tool.ietf.org>
> 
> Hi,
> 
> I have given the tool a try. The interface was clear and the tool was
> easy to use. As far as I can tell, this tool covers everything I have
> done as a liaison manager (related to liaison statements) in the last
> few years.
> 
> One question, though. The deadline field, will it trigger some type of
> alarm (e.g., sending an email) when the deadline is reached? If so, will
> it be possible to mark a liaison "for action" as "already taken care of"
> so that no alarm is triggered on the deadline.
> 
> I agree with Patrik that being able to group together a liaison
> statement and its response would be useful.
> 
> Thanks,
> 
> Gonzalo
> 
> 
> On 03/09/2010 12:20 PM, Henrik Levkowetz wrote:
>> Hello, and welcome.
>> 
>> 
>> When I sent out invitations to some of you to subscribe to the list last
>> week, I asked Mailman to notify me of new subscriptions, and haven't seen
>> a single one.  I now checked the list and found that people have actually
>> been joining, and we're now in good shape for beta testing of the rewritten
>> tool.
>> 
>> The developer (Emilio) is also on this list, so comments and questions will be
>> directly available to him.
>> 
>> The user manual written as part of the rewrite is enclosed with this mail;
>> comments on that are welcome.
>> 
>> The beta server URL is
>> 
>>    http://beta.lsmt.yaco.es/
>> 
>> and here are the username/passwords which have been set up for the beta
>> server:
>> 
>> 
>>      * admin/admin
>>            o This user is an IETF Liaison Manager
>> 
>>      * external/external
>>            o This user is an SDO Manager of 3GPP and WIPO
>>            o This user is an SDO Authorized of IEEE 802 and Open Grid Forum
>> 
>>      * internal/internal
>>            o This user is the Area Director of the Application Area
>>            o This user is a Working Group Secretary of 
>>              'Performance Metrics for Other Layers' group.
>> 
>>      * internal2/internal2
>>            o This user is the IETF/IESG Chair
>>            o This user is the IAB Executive Chair
>> 
>>     There are different users so different cases can be tested.
>> 
>> 
>> Best regards,
>> 
>> 
>> 	Henrik

-- 

-------------------------------------------------------------------
"Reality:
      Yours to discover."
                                 -- ThinkingCat
Leslie Daigle
[email-masked]
-------------------------------------------------------------------